<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#4688C5"
    tools:context=".ui.activity.download.WebDownloadGuideActivity">

    <FrameLayout
        android:id="@+id/fl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="10dp"
            tools:ignore="UselessParent">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <ImageView

                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/w_fanhui"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="How to download videos"
                android:textColor="@color/white"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </FrameLayout>


    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewPager2"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/iv_before"
        app:layout_constraintTop_toBottomOf="@id/fl_top" />

    <ImageView
        android:id="@+id/iv_before"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginBottom="45dp"
        android:src="@mipmap/shangyibu"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:ignore="ContentDescription" />

    <FrameLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="@id/iv_next"
        app:layout_constraintEnd_toStartOf="@id/iv_next"
        app:layout_constraintStart_toEndOf="@id/iv_before"
        app:layout_constraintTop_toTopOf="@id/iv_before">

        <com.zhpan.indicator.IndicatorView
            android:id="@+id/indicator_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_margin="7dp" />

    </FrameLayout>

    <ImageView
        android:id="@+id/iv_next"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="45dp"
        android:src="@mipmap/xiayibu"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        tools:ignore="ContentDescription" />

    <FrameLayout
        android:id="@+id/fl_try"
        android:layout_width="250dp"
        android:layout_height="56dp"
        android:background="@drawable/bg_0a73e8_25"
        app:layout_constraintBottom_toBottomOf="@id/iv_next"
        app:layout_constraintEnd_toEndOf="@+id/iv_next"
        app:layout_constraintTop_toTopOf="@id/iv_next">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginStart="27dp"
            android:text="Try now"
            android:textColor="@color/white"
            android:textSize="25sp"
            tools:ignore="HardcodedText" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="22dp"
            android:src="@mipmap/jiantou_f"
            tools:ignore="ContentDescription" />

    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>